declare class EventEmitter {
    _events: Record<any, any>;
    constructor();
    /**
     * 监听事件
     * @param evt
     * @param callback
     * @param once
     */
    on(evt: string, callback: any, once?: boolean): this;
    /**
     * 监听一个事件一次
     * @param evt
     * @param callback
     */
    once(evt: string, callback: any): this;
    /**
     * 触发一个事件
     * @param evt
     * @param args
     */
    emit(evt: string | number, eventArgs: any): void;
    /**
     * 取消监听一个事件，或者一个channel
     * @param evt
     * @param callback
     */
    off(evt: string | number, callback: any): this;
    getEvents(): Record<any, any>;
}
export { EventEmitter };
